LCDproc development and user support list

Text archives Help


[Lcdproc] automake


Chronological Thread 
  • From: bsdfan AT nurfuerspam.de (Markus Dolze)
  • Subject: [Lcdproc] automake
  • Date: Tue Mar 29 06:23:02 2005

Hi,

FYI:

I am using autoconf 2.59 and automake 1.9 on FreeBSD together with the attached patch. It has worked fine for the last two months.

Markus
Index: autogen.sh
===================================================================
RCS file: /cvsroot/lcdproc/lcdproc/autogen.sh,v
retrieving revision 1.2
diff -u -r1.2 autogen.sh
--- autogen.sh 27 Feb 2005 22:11:42 -0000 1.2
+++ autogen.sh 28 Feb 2005 21:53:23 -0000
@@ -3,7 +3,7 @@

DIE=0

-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+(autoconf259 --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`autoconf' installed."
echo "Download the appropriate package for your distribution,"
@@ -11,7 +11,7 @@
DIE=1
}

-(automake --version) < /dev/null > /dev/null 2>&1 || {
+(automake19 --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed."
echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz";
@@ -21,7 +21,7 @@
}

# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1
|| {
+test -n "$NO_AUTOMAKE" || (aclocal19 --version) < /dev/null > /dev/null 2>&1
|| {
echo
echo "**Error**: Missing \`aclocal'. The version of \`automake'"
echo "installed doesn't appear recent enough."
@@ -35,13 +35,13 @@
fi

echo "Running aclocal ..."
-aclocal
+aclocal19
if grep "^A[CM]_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."
- autoheader
+ autoheader259
fi

echo "Running automake ..."
-automake --add-missing
+automake19 --add-missing
echo "Running autoconf ..."
-autoconf
+autoconf259



Archive powered by MHonArc 2.6.18.

Top of page